---
layout: just-commit
title: Just Commit
description: Just Commit to changing how your team delivers software.
twitter_image: '/images/tweets/just-commit.png'
suppress_header: true
extra_css:
  - just-commit.css
extra_js:
  - just-commit-landing.js
---

.just-commit-landing-hero
  .landing-bg.landing-bg-left
    = partial "includes/just-commit/landing/landing-bg-left.svg"
  .landing-bg.landing-bg-right
    = partial "includes/just-commit/landing/landing-bg-right.svg"
  .landing-hero-content
    .landing-hero-logo
      = partial "includes/just-commit/just-commit-logo.svg"
    .rotating-words#rotating-word
      %h2
    %a.btn.cta-btn.orange.just-commit-button{ href: "/demo-leader/" }
      Watch the demo

.toc-links
  %a{ href: "#challenges" } Challenges
  %a{ href: "#success-story" } Success stories
  %a{ href: "#just-commit" } #justcommit

.just-commit-content-container
  .content
    %h2.text-center.margin-top0 Customers demand value, faster.
    %h4.text-center.margin-bottom50
      %i Are you committed to delivering?
    .stats-container
      .stat.stat-big
        %h1 50%
        %p of digital transformation efforts stalled in 2018.*
        %p.source-text
          *Source: Predictions 2019 by Forrester Research Inc.
      .stat.stat-big
        %h1 > 50%
        %p of DevOps time is wasted on logistics and repeatable tasks.*
        %p.source-text
          *Source: IT Toolbox: Distribution of Effort by Phase (SDLC)
      .stat.stat-big
        %h1 41%
        %p of external security attacks are carried out via a software vulnerability.*
        %p.source-text
          *Source: Forrester's 'The State of Application Security: 2018 and Beyond'
  .content-divider
    = partial "includes/just-commit/dividers/just-commit-divider.svg"
  .full-width-content
    .moving-lines-container
      = partial "includes/just-commit/line-animation-big.svg"
    .moving-lines-content
      .content-tile
        %h2.text-center.margin-top0 Watch the demo
        %p.text-center Today’s toolchain impedes the transformational promise of DevOps. Eliminate toolchain complexity and commit to a 200% faster DevOps lifecycle.
        %a.btn.cta-btn.just-commit-button.margin-auto.margin-top20{ href: "/demo-leader/" }
          Just commit

  .content-divider
    = partial "includes/just-commit/dividers/just-commit-divider.svg"

  .full-width-content#challenges
    .full-width-tile-container
      %a.full-width-tile{ href: "/just-commit/application-modernization/" }
        .full-width-tile-background{ style: "background: url('/images/unsplash/leaves.jpeg') center center no-repeat;" }
        .full-width-tile-content
          .challenge-icon
            = partial "includes/just-commit/cta-icon-modernization.svg"
          %h2 Application Modernization
          .link-with-arrow
            %p Learn more
            %i.fas.fa-arrow-right
      %a.full-width-tile{ href: "/just-commit/reduce-cycle-time/" }
        .full-width-tile-background{ style: "background: url('/images/unsplash/data.png') center center no-repeat;" }
        .full-width-tile-content
          .challenge-icon
            = partial "includes/just-commit/cta-icon-cycle-time.svg"
          %h2
            Faster
            %br
            Cycle Times
          .link-with-arrow
            %p Learn more
            %i.fas.fa-arrow-right
      %a.full-width-tile{ href: "/just-commit/secure-apps/" }
        .full-width-tile-background{ style: "background: url('/images/unsplash/lock.jpg') center center no-repeat;" }
        .full-width-tile-content
          .challenge-icon
            = partial "includes/just-commit/cta-icon-secure.svg"
          %h2
            Secure
            %br
            Apps
          .link-with-arrow
            %p Learn more
            %i.fas.fa-arrow-right

  .content-divider
    = partial "includes/just-commit/dividers/just-commit-divider.svg"

  .success-stories-large#success-story
    .success-story
      .success-story-content
        %p.title-label SUCCESS STORIES
        %h2 Paessler AG commits to 15 releases per day
        %p Helping customers monitor their entire IT infrastructure 24/7, Paessler ramped up cycle time with GitLab.
        %a.btn.cta-btn.just-commit-button{ href: "/customers/paessler/" }
          Read the case study
      %img.success-story-image{ src: "/images/unsplash/paessler-earth-cropped.png", alt: "Gitlab earth cropped png" }
    .success-story
      .success-story-content
        %h2 Goldman Sachs improves from two daily builds to over a thousand per day
        %p Engineering teams removed toolchain complexity and accelerated DevOps adoption through GitLab's automation.
        %a.btn.cta-btn.just-commit-button{ href: "/customers/goldman-sachs/" }
          Read the case study
      %img.success-story-image{ src: "/images/unsplash/newyork-skyline-cropped.png", alt: "Gitlab new york skyline cropped png" }

  .content-divider
    = partial "includes/just-commit/dividers/just-commit-divider.svg"

  .content.dive-deeper-container#just-commit
    %p.title-label #JUSTCOMMIT
    .content-column-container
      .content-column-content
        %h2 Just commit giveaway
        %p
          So, you're committing to starting something new this year. Hooray! 🎉 It's always easier with a buddy — tell us your commitments by tweeting us
          %a{ href: "https://twitter.com/gitlab", target: "_blank" }
            @gitlab
          using
          = succeed "," do
            %a{ href: "https://twitter.com/hashtag/justcommit?src=hash", target: "_blank" } #justcommit
          and we'll do our best to help (and enter you into our swag giveaway)! The 
          %a{ href: "/community/sweepstakes/just-commit" }
            giveaway 
          lasts through April, but we want to keep you committing all year long.
      .content-column-image-container
        .content-column-image
          = partial "includes/just-commit/images/just-commit-giveaway-image.svg"

  .content-divider
    = partial "includes/just-commit/dividers/just-commit-divider.svg"

  .content.dive-deeper-container#resources
    %p.title-label RESOURCES
    %h3 Check out these handy resources to get started
    .dive-deeper-links.margin-top50
      %a.stat{ href: "/2018/01/22/a-beginners-guide-to-continuous-integration/" }
        %p A beginners guide to continuous integration
      %a.stat{ href: "/2018/10/08/what-is-cloud-native/" }
        %p What is cloud native?
      %a.stat{ href: "/2018/09/14/inside-gitlab-security-dashboards/" }
        %p How can teams secure applications at DevOps speed?
      %a.stat{ href: "/2018/10/31/use-multiproject-pipelines-with-gitlab-cicd/" }
        %p How to streamline interactions between multiple repositories with multi-project pipelines
      %a.stat{ href: "/2018/08/07/understanding-kubernestes-rbac/" }
        %p What you need to know about Kubernetes RBAC
      %a.stat{ href: "/solutions/dev-sec-ops/" }
        %p Integrating security into DevSecOps
      %a.stat{ href: "/2019/02/04/multi-account-aws-sam-deployments-with-gitlab-ci/" }
        %p How to set up multi-account AWS SAM deployments with GitLab CI
      %a.stat{ href: "/2018/04/24/getting-started-gitlab-ci-gcp/" }
        %p Getting started with GitLab CI/CD and Google Cloud Platform
      %a.stat{ href: "/2019/01/25/sentry-integration-blog-post/" }
        %p Streamline and shorten error remediation with Sentry's new GitLab integration
      %a.stat{ href: "https://docs.gitlab.com/ee/ci/", target: "_blank" }
        %p Get started with GitLab CI/CD
      %a.stat{ href: "https://docs.gitlab.com/ee/install/kubernetes/", target: "_blank" }
        %p Install GitLab on Kubernetes
      %a.stat{ href: "/direction/secure/#categories" }
        %p DevSecOps with GitLab

  .content-divider
    = partial "includes/just-commit/dividers/just-commit-divider.svg"

  .content#contribute
    = partial "includes/contact-sales"
